% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/TorchOptimizer.R
\name{as_torch_optimizer}
\alias{as_torch_optimizer}
\title{Convert to TorchOptimizer}
\usage{
as_torch_optimizer(x, clone = FALSE, ...)
}
\arguments{
\item{x}{(any)\cr
Object to convert to a \code{\link{TorchOptimizer}}.}

\item{clone}{(\code{logical(1)})\cr
Whether to make a deep clone. Default is \code{FALSE}.}

\item{...}{(any)\cr
Additional arguments.
Currently used to pass additional constructor arguments to \code{\link{TorchOptimizer}} for objects of type
\code{torch_optimizer_generator}.}
}
\value{
\code{\link{TorchOptimizer}}
}
\description{
Converts an object to a \code{\link{TorchOptimizer}}.
}
\seealso{
Other Torch Descriptor: 
\code{\link{TorchCallback}},
\code{\link{TorchDescriptor}},
\code{\link{TorchLoss}},
\code{\link{TorchOptimizer}},
\code{\link{as_torch_callbacks}()},
\code{\link{as_torch_loss}()},
\code{\link{mlr3torch_losses}},
\code{\link{mlr3torch_optimizers}},
\code{\link{t_clbk}()},
\code{\link{t_loss}()},
\code{\link{t_opt}()}
}
\concept{Torch Descriptor}
