% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nn_graph.R
\name{model_descriptor_to_learner}
\alias{model_descriptor_to_learner}
\title{Create a Torch Learner from a ModelDescriptor}
\usage{
model_descriptor_to_learner(model_descriptor)
}
\arguments{
\item{model_descriptor}{(\code{\link{ModelDescriptor}})\cr
The model descriptor.}
}
\value{
\code{\link[mlr3:Learner]{Learner}}
}
\description{
First a \code{\link{nn_graph}} is created using \code{\link{model_descriptor_to_module}} and then a learner is created from this
module and the remaining information from the model descriptor, which must include the optimizer and loss function
and optionally callbacks.
}
\seealso{
Other Graph Network: 
\code{\link{ModelDescriptor}()},
\code{\link{TorchIngressToken}()},
\code{\link{mlr_learners_torch_model}},
\code{\link{mlr_pipeops_module}},
\code{\link{mlr_pipeops_torch}},
\code{\link{mlr_pipeops_torch_ingress}},
\code{\link{mlr_pipeops_torch_ingress_categ}},
\code{\link{mlr_pipeops_torch_ingress_ltnsr}},
\code{\link{mlr_pipeops_torch_ingress_num}},
\code{\link{model_descriptor_to_module}()},
\code{\link{model_descriptor_union}()},
\code{\link{nn_graph}()}
}
\concept{Graph Network}
